Subject: [ietf-dkim] draft text for specify IANA instructions

From: Dave Crocker <[email-masked]>
Date: Tue, 11 Jul 2006 16:34:54 -0400

Folks,

There has recently been discussion about the need to have the -base
specification include instructions for IANA, concerning the creation and
operation of a number of registries, to cover some of the extensible lists
defined in the spec.

Attached is some basic, skeleton text intended to move towards that necessary text.

(It is in the format of a separate document, but it is intended to get
incorporated into the base.)

d/
-- 

  Dave Crocker
  Brandenburg InternetWorking
  bbiw.net
Network Working Group

D. Crocker

INTERNET DRAFT

Brandenburg InternetWorking

<draft-crocker-dkim-ianareg-00>

July 2006

Category: Best Current Practice

Expires: January 2007

IANA Registration Procedures for DKIM Attributes
draft-crocker-dkim-ianareg-00

Status of this Memo

By submitting this Internet-Draft, each author represents that any applicable patent or other IPR claims of which he or she is aware have been or will be disclosed, and any of which he or she becomes aware will be disclosed, in accordance with Section 6 of BCP 79.

Internet-Drafts are working documents of the Internet Engineering Task Force (IETF), its areas, and its working groups. Note that other groups may also distribute working documents as Internet-Drafts.

Internet-Drafts are draft documents valid for a maximum of six months and may be updated, replaced, or obsoleted by other documents at any time. It is inappropriate to use Internet-Drafts as reference material or to cite them other than as “work in progress”.

The list of current Internet-Drafts can be accessed at <http://www.ietf.org/ietf/1id-abstracts.txt>.

The list of Internet-Draft Shadow Directories can be accessed at <http://www.ietf.org/shadow.html>.

This Internet-Draft will expire in January 2007.

Copyright Notice

Copyright © The Internet Society (2006). All Rights Reserved.

Abstract
The DKIM specification provides for a number of extensible list. This document is intended to provide basic text, to be added to the dkim -base document, to specify the IANA instructions for establishing an operating registries, to be associated with those list.
Table of Contents

1.   Introduction

2.   IANA Considerations

2.1   DKIM Tag-List Registry

2.2   DKIM Query Method Registry

2.3   DKIM Hash Algorithms Registry

2.4   DKIM Key Type Registry

3.   References -- Informative

Author's Address

Intellectual Property and Copyright Statements

Figure 1: DKIM Query Method Registry Initial Values

Figure 2: DKIM Hash Algorithms Initial Values

Figure 3: DKIM Key Type Initial Values

1. Introduction

The DKIM specification provides for a number of extensible list. This document is intended to provide basic text, to be added to the dkim -base document, to specify the IANA instructions for establishing an operating registries, to be associated with those list.

2. IANA Considerations

2.1 DKIM Tag-List Registry

The list of <tag-spec> is extensible. Should we specify an IANA registry for it?

2.2 DKIM Query Method Registry

The "q=" tag-spec, as specified in section 3.5 of the DKIM base document provides for a list of query methods.

IANA is requested to establish the DKIM Query Method Registry, for mechanisms that can be used to retrieve the key that will permit validation processing of a message signed using DKIM and have been specified in any published RFC.

The initial entry in the registry comprises:

TYPE OPTION RFC
==== ====== ========
dns txt draft-ietf-dkim-base-03.txt

Figure 1: DKIM Query Method Registry Initial Values

2.3 DKIM Hash Algorithms Registry

The "h=" <key-h-tag> list, specified in section 3.6.1 of the DKIM base document provides for a list of mechanisms that can be used to produce a digest of message data.

IANA is requested to establish the DKIM Hash Algorithms Registry, for such mechanisms that have been specified in any published RFC.

The initial entries in the registry comprise:

TYPE RFC
==== ========
sha1 ???
sha256 ???

Figure 2: DKIM Hash Algorithms Initial Values

2.4 DKIM Key Type Registry

The "k=" tag-spec, as specified in section 3.6.1 of the DKIM base document provides for a list of mechanisms that can be used to decode a DKIM signature.

IANA is requested to establish the DKIM Key Type Registry, for such mechanisms that have been specified in any published RFC.

The initial entries in the registry comprise:

TYPE RFC
==== ========
rsa RFC3447

Figure 3: DKIM Key Type Initial Values

3. References -- Informative

Author's Address
Dave CrockerCrockerDaveBrandenburg InternetWorking675 Spruce Dr.Sunnyvale, CA 94086USAPhone: +1.408.246.8253EMail: [email-masked]: http://bbiw.net/
Intellectual Property Statement

The IETF takes no position regarding the validity or scope of any Intellectual Property Rights or other rights that might be claimed to pertain to the implementation or use of the technology described in this document or the extent to which any license under such rights might or might not be available; nor does it represent that it has made any independent effort to identify any such rights. Information on the procedures with respect to rights in RFC documents can be found in BCP 78 and BCP 79.

Copies of IPR disclosures made to the IETF Secretariat and any assurances of licenses to be made available, or the result of an attempt made to obtain a general license or permission for the use of such proprietary rights by implementers or users of this specification can be obtained from the IETF on-line IPR repository at <http://www.ietf.org/ipr>.

The IETF invites any interested party to bring to its attention any copyrights, patents or patent applications, or other proprietary rights that may cover technology that may be required to implement this standard. Please address the information to the IETF at [email-masked].

Disclaimer of Validity

This document and the information contained herein are provided on an “AS IS” basis and THE CONTRIBUTOR, THE ORGANIZATION HE/SHE REPRESENTS OR IS SPONSORED BY (IF ANY), THE INTERNET SOCIETY AND THE INTERNET ENGINEERING TASK FORCE DISCLAIM ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

Copyright Statement

Copyright © The Internet Society (2006). This document is subject to the rights, licenses and restrictions contained in BCP 78, and except as set forth therein, the authors retain all their rights.

Acknowledgement

Funding for the RFC Editor function is currently provided by the Internet Society.

_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html